% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/addTableIntersect.R
\name{addTableIntersectCount}
\alias{addTableIntersectCount}
\title{Compute number of intersect with an omop table.}
\usage{
addTableIntersectCount(
  x,
  tableName,
  indexDate = "cohort_start_date",
  censorDate = NULL,
  window = list(c(0, Inf)),
  targetStartDate = startDateColumn(tableName),
  targetEndDate = endDateColumn(tableName),
  inObservation = TRUE,
  nameStyle = "{table_name}_{window_name}",
  name = NULL
)
}
\arguments{
\item{x}{Table with individuals in the cdm.}

\item{tableName}{Name of the table to intersect with. Options:
visit_occurrence, condition_occurrence, drug_exposure, procedure_occurrence,
device_exposure, measurement, observation, drug_era, condition_era, specimen,
episode.}

\item{indexDate}{Variable in x that contains the date to compute the
intersection.}

\item{censorDate}{whether to censor overlap events at a specific date
or a column date of x.}

\item{window}{window to consider events in.}

\item{targetStartDate}{Column name with start date for comparison.}

\item{targetEndDate}{Column name with end date for comparison.}

\item{inObservation}{If TRUE only records inside an observation period
will be considered.}

\item{nameStyle}{naming of the added column or columns, should include
required parameters.}

\item{name}{Name of the new table, if NULL a temporary table is returned.}
}
\value{
table with added columns with intersect information.
}
\description{
Compute number of intersect with an omop table.
}
\examples{
\donttest{
cdm <- mockPatientProfiles()

cdm$cohort1 |>
  addTableIntersectCount(tableName = "visit_occurrence")

mockDisconnect(cdm = cdm)
}

}
